--
-- VHDL Architecture FACT_FAD_lib.RS485_receiver_fake.beha
--
-- Created:
--          by - dneise.UNKNOWN (E5B-LABOR6)
--          at - 12:34:27 23.02.2011
--
-- using Mentor Graphics HDL Designer(TM) 2009.2 (Build 10)
--
LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY RS485_receiver_fake IS
Port(
	trigger_no 		:	in	std_logic_vector(31 downto 0);
	trigger_type1 	:	in	std_logic_vector(7 downto 0);
	trigger_type2 	:	in	std_logic_vector(7 downto 0);
	crc				:	in	std_logic_vector(7 downto 0);
	
	rs465_data		:	out	std_logic_vector(55 downto 0);
	rs485_ready		:	out	std_logic
);
END ENTITY RS485_receiver_fake;

--
ARCHITECTURE beha OF RS485_receiver_fake IS
BEGIN
	rs485_ready <= '1';
	rs465_data <= trigger_no & trigger_type1 & trigger_type2 & crc;

END ARCHITECTURE beha;

